Subject: Re: [lojban] Logic course

From: [email-masked]
Date: Tue, 19 Mar 2002 15:20:41 EST

In a message dated 3/19/2002 12:50:31 PM Central Standard Time, 
[email-masked] writes:

> I thought {du} was an infinite-place relationship. At least I'm
> sure it says so somewhere.
> 

(Yuck! ptui!) But so it does turn out to be.

<>{li xy du me'o da pi'i
>da} seems to work somewhat better (it still fails, but I am begining to
>suspect that the parser doesn't do MEX any better than we do).

The parser does MEX according to the rules. The problem is
with the rules, not with the parser. I think it's
{[li] xy du li me'o da pi'i me'o da}.>

This is still not screwed up enough, i.e., the parser rejects both versions.

<>1){roda de zo'u li da su'i de du li no}

The not-quite-equivalence of sumti and operands can be quite
annoying. {li da} is not grammatical. You could write it as:

roda de zo'u li no sumji da de

or, if you insist with MEX:

roda de zo'u li mo'e da su'i mo'e de du li no>

But the parser accepts this and gives it the right parse. I wonder what is 
different here from the previous case

<>1'){roxy. zy. zo'u li xy su'i zy. du li no} mean ?

{ro xy zy} is a single number. You need {roboi xyboi zyboi}
in the prenex. Other than that, I think it works. (Though
I prefer the {sumji} version.)>

Both rejected, apparently {ro xy} is not recognized (though it should be as a 
case of "all the X's" even if not as a quantifier).

The predicative forms all work, of course.